# Data
df = read.csv("data-turkish.csv", sep = ";")

#Subset dfk of df with critical items only
dfk = subset(df, type == 'critical', select = c("item", "affectedness","telicity", "animacy", "participant", "score"))

install.packages("lme4")
library(lme4)

#sum contrasts
dfk$affectedness = factor(dfk$affectedness)
dfk$telicity = factor(dfk$telicity)
dfk$animacy = factor(dfk$animacy)
contrasts(dfk$affectedness) <- contr.sum(2)/2
contrasts(dfk$telicity) <- contr.sum(2)/2
contrasts(dfk$animacy) <- contr.sum(2)/2

#model
summary(glmer(score ~ animacy * affectedness * telicity + (1|participant) + (1|item), data = dfk, family = binomial))
