# Data
df = read.csv("data-uzbek.csv", sep = ";")

#Subset dfk of df with critical items only
dfk = subset(df, type == 'critical', select = c("item", "type", "affectedness","telicity", "animacy", "participant", "score"))

install.packages("lme4")
library(lme4)

#sum contrasts
dfk$affectedness = factor(dfk$affectedness)
dfk$telicity = factor(dfk$telicity)
dfk$animacy = factor(dfk$animacy)
contrasts(dfk$affectedness) <- contr.sum(2)/2
contrasts(dfk$telicity) <- contr.sum(2)/2
contrasts(dfk$animacy) <- contr.sum(2)/2

#model - all
summary(glmer(score ~ animacy * affectedness * telicity + (1|item), data = dfk, family = binomial))

#model affectedness within inanimates
mod_aff_inanim = glmer(score ~ affectedness + (1|participant) + (1|item), data = dfk[dfk$animacy == "inanimate",], family = binomial)
summary(mod_aff_inanim)
